Package org.opensaml.saml.metadata.resolver.filter

# Class AbstractMetadataFilter

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.saml.metadata.resolver.filter.AbstractMetadataFilter

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MetadataFilter`

Direct Known Subclasses:
  `AlgorithmFilter`, `ByReferenceMetadataFilter`, `EntityAttributesFilter`, `EntityRoleFilter`, `MetadataFilterChain`, `NameIDFormatFilter`, `NodeProcessingMetadataFilter`, `PredicateFilter`, `RequiredValidUntilFilter`, `SchemaValidationFilter`, `SignatureValidationFilter`

public abstract class AbstractMetadataFilter extends AbstractInitializableComponent implements MetadataFilter
Abstract base class for `MetadataFilter`.

Since:
  5.0.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`filterType`
Filter type for logging/reporting.

## Constructor Summary

Constructors
Constructor
Description
`AbstractMetadataFilter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getType()`
Gets the type of filter for reporting or logging purposes.
`void`
`setType(String type)`
Set filter type for reporting/logging.

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.saml.metadata.resolver.filter.MetadataFilter

`filter`

## Field Details

### filterType

@Nullable @NotEmpty private String filterType
Filter type for logging/reporting.

## Constructor Details

### AbstractMetadataFilter

public AbstractMetadataFilter()

## Method Details

### getType

@Nullable @NotEmpty public String getType()
Gets the type of filter for reporting or logging purposes.

Specified by:
  `getType` in interface `MetadataFilter`
Returns:
  filter type

### setType

public void setType(@Nullable @NotEmpty String type)
Set filter type for reporting/logging.

Parameters:
  `type` - filter type